Bug 505724 - *** stack smashing detected ***: svn terminated
*** stack smashing detected ***: svn terminated
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libgcrypt (Show other bugs)
11
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
: 501189 505511 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-13 04:51 EDT by udo
Modified: 2009-07-16 03:14 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.4.4-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 03:14:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description udo 2009-06-13 04:51:47 EDT
Description of problem:
*** stack smashing detected ***: svn terminated while using rpmbuild on upgraded F11 system

Version-Release number of selected component (if applicable):
 1.6.1     

How reproducible:
Have F10 system working well, upgrade to F11

Steps to Reproduce:
1. Have F10 system working well
2. upgrade to F11
3. rpmbuild -bb SPECS/mythtv-0.21fixes.spec
  
Actual results:
*** stack smashing detected ***: svn terminated (etc, see below)

Expected results:
rpmbuild completing in a normal manner

Additional info:
[root@recorder redhat]# svn cleanup /usr/src/mythtv-svn/
[root@recorder redhat]# rpmbuild -bb SPECS/mythtv-0.21fixes.spec 
*** stack smashing detected ***: svn terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x48)[0xb7ae2bd8]
/lib/libc.so.6(__fortify_fail+0x0)[0xb7ae2b90]
/lib/libgcrypt.so.11[0xb77b42d4]
/lib/libgcrypt.so.11[0xb77aba84]
======= Memory map: ========
08048000-08071000 r-xp 00000000 08:06 177756     /usr/bin/svn
08071000-08072000 rw-p 00028000 08:06 177756     /usr/bin/svn
09b59000-09f40000 rw-p 09b59000 00:00 0          [heap]
b7502000-b752c000 r-xp 00000000 08:05 73604      /lib/libgcc_s-4.4.0-20090506.so.1
b752c000-b752d000 rw-p 00029000 08:05 73604      /lib/libgcc_s-4.4.0-20090506.so.1
b752d000-b772d000 r--p 00000000 08:06 282731     /usr/lib/locale/locale-archive
b772d000-b772f000 rw-p b772d000 00:00 0 
b772f000-b774b000 r-xp 00000000 08:05 73829      /lib/libselinux.so.1
b774b000-b774c000 r--p 0001b000 08:05 73829      /lib/libselinux.so.1
b774c000-b774d000 rw-p 0001c000 08:05 73829      /lib/libselinux.so.1
b774d000-b774e000 rw-p b774d000 00:00 0 
b774e000-b7750000 r-xp 00000000 08:05 73846      /lib/libkeyutils-1.2.so
b7750000-b7751000 rw-p 00001000 08:05 73846      /lib/libkeyutils-1.2.so
b7751000-b775a000 r-xp 00000000 08:06 269032     /usr/lib/libkrb5support.so.0.1
b775a000-b775b000 rw-p 00008000 08:06 269032     /usr/lib/libkrb5support.so.0.1
b775b000-b775e000 r-xp 00000000 08:05 73801      /lib/libgpg-error.so.0.4.0
b775e000-b775f000 rw-p 00002000 08:05 73801      /lib/libgpg-error.so.0.4.0
b775f000-b77d4000 r-xp 00000000 08:05 74620      /lib/libgcrypt.so.11.5.2
b77d4000-b77d7000 rw-p 00074000 08:05 74620      /lib/libgcrypt.so.11.5.2
b77d7000-b77e7000 r-xp 00000000 08:06 265876     /usr/lib/libtasn1.so.3.1.2
b77e7000-b77e8000 rw-p 00010000 08:06 265876     /usr/lib/libtasn1.so.3.1.2
b77e8000-b77ea000 r-xp 00000000 08:05 73772      /lib/libcom_err.so.2.1
b77ea000-b77eb000 rw-p 00001000 08:05 73772      /lib/libcom_err.so.2.1
b77eb000-b77ec000 rw-p b77eb000 00:00 0 
b77ec000-b780f000 r-xp 00000000 08:06 266597     /usr/lib/libk5crypto.so.3.1
b780f000-b7810000 rw-p 00023000 08:06 266597     /usr/lib/libk5crypto.so.3.1
b7810000-b78aa000 r-xp 00000000 08:06 268748     /usr/lib/libkrb5.so.3.3
b78aa000-b78ac000 rw-p 0009a000 08:06 268748     /usr/lib/libkrb5.so.3.3
b78ac000-b78d6000 r-xp 00000000 08:06 267299     /usr/lib/libgssapi_krb5.so.2.2
b78d6000-b78d7000 rw-p 0002a000 08:06 267299     /usr/lib/libgssapi_krb5.so.2.2
b78d7000-b78dd000 r-xp 00000000 08:06 266606     /usr/lib/libpakchois.so.0.1.0
b78dd000-b78de000 rw-p 00005000 08:06 266606     /usr/lib/libpakchois.so.0.1.0
b78de000-b797e000 r-xp 00000000 08:06 266641     /usr/lib/libgnutls.so.26.11.7
b797e000-b7984000 rw-p 0009f000 08:06 266641     /usr/lib/libgnutls.so.26.11.7
b7984000-b7985000 rw-p b7984000 00:00 0 
b7985000-b79c8000 r-xp 00000000 08:05 73565      /lib/libfreebl3.so
b79c8000-b79c9000 rw-p 00042000 08:05 73565      /lib/libfreebl3.so
b79c9000-b79cd000 rw-p b79c9000 00:00 0 
b79cd000-b79d0000 r-xp 00000000 08:05 73802      /lib/libuuid.so.1.2
b79d0000-b79d1000 rw-p 00003000 08:05 73802      /lib/libuuid.so.1.2
b79d1000-b79e5000 r-xp 00000000 08:05 73824      /lib/libresolv-2.10.1.so
b79e5000-b79e6000 ---p 00014000 08:05 73824      /lib/libresolv-2.10.1.so
b79e6000-b79e7000 r--p 00014000 08:05 73824      /lib/libresolv-2.10.1.so
b79e7000-b79e8000 rw-p 00015000 08:05 73824      /lib/libresolv-2.10.1.so
b79e8000-b79eb000 rw-p b79e8000 00:00 0 
b79eb000-b7b56000 r-xp 00000000 08:05 73542      /lib/libc-2.10.1.so
b7b56000-b7b57000 ---p 0016b000 08:05 73542      /lib/libc-2.10.1.so
b7b57000-b7b59000 r--p 0016b000 08:05 73542      /lib/libc-2.10.1.so
b7b59000-b7b5a000 rw-p 0016d000 08:05 73542      /lib/libc-2.10.1.so
b7b5a000-b7b5d000 rw-p b7b5a000 00:00 0 
b7b5d000-b7b81000 r-xp 00000000 08:06 267467     /usr/lib/libneon.so.27.1.4
b7b81000-b7b82000 rw-p 00024000 08:06 267467     /usr/lib/libneon.so.27.1.4
b7b82000-b7b85000 r-xp 00000000 08:05 73809      /lib/libdl-2.10.1.so
b7b85000-b7b86000 r--p 00002000 08:05 73809      /lib/libdl-2.10.1.so
b7b86000-b7b87000 rw-p 00003000 08:05 73809      /lib/libdl-2.10.1.so
b7b87000-b7b9d000 r-xp 00000000 08:05 73836      /lib/libpthread-2.10.1.so
b7b9d000-b7b9e000 ---p 00016000 08:05 73836      /lib/libpthread-2.10.1.so
b7b9e000-b7b9f000 r--p 00016000 08:05 73836      /lib/libpthread-2.10.1.so
b7b9f000-b7ba0000 rw-p 00017000 08:05 73836      /lib/libpthread-2.10.1.so
b7ba0000-b7ba2000 rw-p b7ba0000 00:00 0 
b7ba2000-b7bcc000 r-xp 00000000 08:06 266063     /usr/lib/libapr-1.so.0.3.3
b7bcc000-b7bcd000 rw-p 0002a000 08:06 266063     /usr/lib/libapr-1.so.0.3.3
b7bcd000-b7bce000 rw-p b7bcd000 00:00 0 
b7bce000-b7bf3000 r-xp 00000000 08:05 73568      /lib/libexpat.so.1.5.2
b7bf3000-b7bf5000 rw-p 00024000 08:05 73568      /lib/libexpat.so.1.5.2
b7bf5000-b7d60000 r-xp 00000000 08:05 73462      /lib/libdb-4.7.so
b7d60000-b7d63000 rw-p 0016b000 08:05 73462      /lib/libdb-4.7.so
b7d63000-b7d6b000 r-xp 00000000 08:05 73468      /lib/libcrypt-2.10.1.so
b7d6b000-b7d6c000 r--p 00007000 08:05 73468      /lib/libcrypt-2.10.1.so
b7d6c000-b7d6d000 rw-p 00008000 08:05 73468      /lib/libcrypt-2.10.1.so
b7d6d000-b7d94000 rw-p b7d6d000 00:00 0 
b7d94000-b7db5000 r-xp 00000000 08:06 267505     /usr/lib/libaprutil-1.so.0.3.4
b7db5000-b7db6000 rw-p 00020000 08:06 267505     /usr/lib/libaprutil-1.so.0.3.4
b7db6000-b7e3e000 r-xp 00000000 08:06 269191     /usr/lib/libsqlite3.so.0.8.6
b7e3e000-b7e40000 rw-p 00087000 08:06 269191     /usr/lib/libsqlite3.so.0.8.6
b7e40000-b7e52000 r-xp 00000000 08:05 74560      /lib/libz.so.1.2.3
b7e52000-b7e53000 rw-p 00011000 08:05 74560      /lib/libz.so.1.2.3
b7e53000-b7e54000 rw-p b7e53000 00:00 0 
b7e6c000-b7eb9000 r-xp 00000000 08:06 266011     /usr/lib/libsvn_subr-1.so.0.0.0
b7eb9000-b7ebb000 rw-p 0004c000 08:06 266011     /usr/lib/libsvn_subr-1.so.0.0.0
b7ebb000-b7ec5000 r-xp 00000000 08:06 265747     /usr/lib/libsvn_delta-1.so.0.0.0
b7ec5000-b7ec6000 rw-p 00009000 08:06 265747     /usr/lib/libsvn_delta-1.so.0.0.0
b7ec6000-b7ee6000 r-xp 00000000 08:06 266478     /usr/lib/libsvn_ra_neon-1.so.0.0.0
b7ee6000-b7ee8000 rw-p 0001f000 08:06 266478     /usr/lib/libsvn_ra_neon-1.so.0.0.0
b7ee8000-b7f00000 r-xp 00000000 08:06 266037     /usr/lib/libsasl2.so.2.0.22
b7f00000-b7f01000 rw-p 00017000 08:06 266037     /usr/lib/libsasl2.so.2.0.22
b7f01000-b7f16000 r-xp 00000000 08:06 266990     /usr/lib/libsvn_ra_svn-1.so.0.0.0
b7f16000-b7f17000 rw-p 00015000 08:06 266990     /usr/lib/libsvn_ra_svn-1.so.0.0.0
b7f17000-b7f18000 rw-p b7f17000 00:00 0 
b7f18000-b7f19000 r-xp 00000000 08:06 265685     /usr/lib/libsvn_fs_util-1.so.0.0.0
b7f19000-b7f1a000 rw-p 00000000 08:06 265685     /usr/lib/libsvn_fs_util-1.so.0.0.0
b7f1a000-b7f47000 r-xp 00000000 08:06 267127     /usr/lib/libsvn_fs_base-1.so.0.0.0
b7f47000-b7f48000 rw-p 0002d000 08:06 267127     /usr/lib/libsvn_fs_base-1.so.0.0.0
b7f48000-b7f6e000 r-xp 00000000 08:06 266195     /usr/lib/libsvn_fs_fs-1.so.0.0.0
b7f6e000-b7f6f000 rw-p 00026000 08:06 266195     /usr/lib/libsvn_fs_fs-1.so.0.0.0
b7f6f000-b7f75000 r-xp 00000000 08:06 266543     /usr/lib/libsvn_fs-1.so.0.0.0
b7f75000-b7f76000 rw-p 00005000 08:06 266543     /usr/lib/libsvn_fs-1.so.0.0.0
b7f76000-b7f9e000 r-xp 00000000 08:06 266152     /usr/lib/libsvn_repos-1.so.0.0.0
b7f9e000-b7f9f000 rw-p 00027000 08:06 266152     /usr/lib/libsvn_repos-1.so.0.0.0
b7f9f000-b7fa0000 rw-p b7f9f000 00:00 0 
b7fa0000-b7fa7000 r-xp 00000000 08:06 267238     /usr/lib/libsvn_ra_local-1.so.0.0.0
b7fa7000-b7fa8000 rw-p 00006000 08:06 267238     /usr/lib/libsvn_ra_local-1.so.0.0.0
b7fa8000-b7fb3000 r-xp 00000000 08:06 266938     /usr/lib/libsvn_diff-1.so.0.0.0
b7fb3000-b7fb4000 rw-p 0000b000 08:06 266938     /usr/lib/libsvn_diff-1.so.0.0.0
b7fb4000-b7fbc000 r-xp 00000000 08:06 266601     /usr/lib/libsvn_ra-1.so.0.0.0
b7fbc000-b7fbd000 rw-p 00008000 08:06 266601     /usr/lib/libsvn_ra-1.so.0.0.0
b7fbd000-b8004000 r-xp 00000000 08:06 265983     /usr/lib/libsvn_wc-1.so.0.0.0
b8004000-b8005000 rw-p 00046000 08:06 265983     /usr/lib/libsvn_wc-1.so.0.0.0
b8005000-b8048000 r-xp 00000000 08:06 267308     /usr/lib/libsvn_client-1.so.0.0.0
b8048000-b8049000 rw-p 00042000 08:06 267308     /usr/lib/libsvn_client-1.so.0.0.0
b8049000-b804a000 rw-p b8049000 00:00 0 
b804a000-b804b000 r-xp b804a000 00:00 0          [vdso]
b804b000-b806b000 r-xp 00000000 08:05 73560      /lib/ld-2.10.1.so
b806b000-b806c000 r--p 0001f000 08:05 73560      /lib/ld-2.10.1.so
b806c000-b806d000 rw-p 00020000 08:05 73560      /lib/ld-2.10.1.so
bfb58000-bfb6d000 rw-p bffeb000 00:00 0          [stack]
error: line 89: Illegal sequence ".." in: Release:        0..svn
[root@recorder redhat]# rpm -qi subversion
Name        : subversion                   Relocations: (not relocatable)
Version     : 1.6.1                             Vendor: Fedora Project
Release     : 4.fc11                        Build Date: Wed 15 Apr 2009 06:40:46 PM CEST
Install Date: Sat 13 Jun 2009 07:57:03 AM CEST      Build Host: x86-3.fedora.phx.redhat.com
Group       : Development/Tools             Source RPM: subversion-1.6.1-4.fc11.src.rpm
Size        : 11475031                         License: ASL 1.1
Signature   : RSA/8, Fri 17 Apr 2009 06:33:53 PM CEST, Key ID 1dc5c758d22e77f2
Packager    : Fedora Project
URL         : http://subversion.tigris.org/
Summary     : A Modern Concurrent Version Control System
Description :
Subversion is a concurrent version control system which enables one
or more users to collaborate in developing and maintaining a
hierarchy of files and directories while keeping a history of all
changes.  Subversion only stores the differences between versions,
instead of every complete file.  Subversion is intended to be a
compelling replacement for CVS.


This is on a VIA EN12000
VIA C7 CPU, 1GB RAM
Upgraded via DVD
This makes the machine unusable for the main task.
mythtv needs a rebuild because of library changes
this cannot complete now. URGENT!
Comment 1 udo 2009-06-15 10:18:54 EDT
I can reproduce this on my VIA Epia EK8000:

# svn co http://svn.mythtv.org/svn/branches/release-0-21-fixes/ /usr/src/mythtv-svn/
*** stack smashing detected ***: svn terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x40)[0xb79a4d30]
/lib/libc.so.6(__fortify_fail+0x0)[0xb79a4cf0]
/lib/libgcrypt.so.11[0xb76732d4]
/lib/libgcrypt.so.11[0xb766aa84]
======= Memory map: ========
08048000-08070000 r-xp 00000000 03:08 146267     /usr/bin/svn
08070000-08071000 rw-p 00028000 03:08 146267     /usr/bin/svn
08c69000-08ccd000 rw-p 08c69000 00:00 0          [heap]
b73c1000-b73eb000 r-xp 00000000 03:05 76972      /lib/libgcc_s-4.4.0-20090506.so.1
b73eb000-b73ec000 rw-p 00029000 03:05 76972      /lib/libgcc_s-4.4.0-20090506.so.1
b73ec000-b75ec000 r--p 00000000 03:08 66818      /usr/lib/locale/locale-archive
b75ec000-b75ee000 rw-p b75ec000 00:00 0 
b75ee000-b760a000 r-xp 00000000 03:05 77163      /lib/libselinux.so.1
b760a000-b760b000 r--p 0001b000 03:05 77163      /lib/libselinux.so.1
b760b000-b760c000 rw-p 0001c000 03:05 77163      /lib/libselinux.so.1
b760c000-b760d000 rw-p b760c000 00:00 0 
b760d000-b760f000 r-xp 00000000 03:05 77125      /lib/libkeyutils-1.2.so
b760f000-b7610000 rw-p 00001000 03:05 77125      /lib/libkeyutils-1.2.so
b7610000-b7619000 r-xp 00000000 03:08 63057      /usr/lib/libkrb5support.so.0.1
b7619000-b761a000 rw-p 00008000 03:08 63057      /usr/lib/libkrb5support.so.0.1
b761a000-b761d000 r-xp 00000000 03:05 76986      /lib/libgpg-error.so.0.4.0
b761d000-b761e000 rw-p 00002000 03:05 76986      /lib/libgpg-error.so.0.4.0
b761e000-b7693000 r-xp 00000000 03:05 77157      /lib/libgcrypt.so.11.5.2
b7693000-b7696000 rw-p 00074000 03:05 77157      /lib/libgcrypt.so.11.5.2
b7696000-b76a6000 r-xp 00000000 03:08 63184      /usr/lib/libtasn1.so.3.1.2
b76a6000-b76a7000 rw-p 00010000 03:08 63184      /usr/lib/libtasn1.so.3.1.2
b76a7000-b76a9000 r-xp 00000000 03:05 76938      /lib/libcom_err.so.2.1
b76a9000-b76aa000 rw-p 00001000 03:05 76938      /lib/libcom_err.so.2.1
b76aa000-b76ab000 rw-p b76aa000 00:00 0 
b76ab000-b76ce000 r-xp 00000000 03:08 62926      /usr/lib/libk5crypto.so.3.1
b76ce000-b76cf000 rw-p 00023000 03:08 62926      /usr/lib/libk5crypto.so.3.1
b76cf000-b7769000 r-xp 00000000 03:08 63054      /usr/lib/libkrb5.so.3.3
b7769000-b776b000 rw-p 0009a000 03:08 63054      /usr/lib/libkrb5.so.3.3
b776b000-b7795000 r-xp 00000000 03:08 62643      /usr/lib/libgssapi_krb5.so.2.2
b7795000-b7796000 rw-p 0002a000 03:08 62643      /usr/lib/libgssapi_krb5.so.2.2
b7796000-b779c000 r-xp 00000000 03:08 66276      /usr/lib/libpakchois.so.0.1.0
b779c000-b779d000 rw-p 00005000 03:08 66276      /usr/lib/libpakchois.so.0.1.0
b779d000-b783d000 r-xp 00000000 03:08 64546      /usr/lib/libgnutls.so.26.11.7
b783d000-b7843000 rw-p 0009f000 03:08 64546      /usr/lib/libgnutls.so.26.11.7
b7843000-b7844000 rw-p b7843000 00:00 0 
b7844000-b7887000 r-xp 00000000 03:05 77409      /lib/libfreebl3.so
b7887000-b7888000 rw-p 00042000 03:05 77409      /lib/libfreebl3.so
b7888000-b788c000 rw-p b7888000 00:00 0 
b788c000-b788f000 r-xp 00000000 03:05 77046      /lib/libuuid.so.1.2
b788f000-b7890000 rw-p 00003000 03:05 77046      /lib/libuuid.so.1.2
b7890000-b78a4000 r-xp 00000000 03:05 77121      /lib/libresolv-2.10.1.so
b78a4000-b78a5000 ---p 00014000 03:05 77121      /lib/libresolv-2.10.1.so
b78a5000-b78a6000 r--p 00014000 03:05 77121      /lib/libresolv-2.10.1.so
b78a6000-b78a7000 rw-p 00015000 03:05 77121      /lib/libresolv-2.10.1.so
b78a7000-b78aa000 rw-p b78a7000 00:00 0 
b78aa000-b7a19000 r-xp 00000000 03:05 76957      /lib/libc-2.10.1.so
b7a19000-b7a1a000 ---p 0016f000 03:05 76957      /lib/libc-2.10.1.so
b7a1a000-b7a1c000 r--p 0016f000 03:05 76957      /lib/libc-2.10.1.so
b7a1c000-b7a1d000 rw-p 00171000 03:05 76957      /lib/libc-2.10.1.so
b7a1d000-b7a20000 rw-p b7a1d000 00:00 0 
b7a20000-b7a44000 r-xp 00000000 03:08 64837      /usr/lib/libneon.so.27.1.4
b7a44000-b7a45000 rw-p 00024000 03:08 64837      /usr/lib/libneon.so.27.1.4
b7a45000-b7a48000 r-xp 00000000 03:05 77022      /lib/libdl-2.10.1.so
b7a48000-b7a49000 r--p 00002000 03:05 77022      /lib/libdl-2.10.1.so
b7a49000-b7a4a000 rw-p 00003000 03:05 77022      /lib/libdl-2.10.1.so
b7a4a000-b7a60000 r-xp 00000000 03:05 77119      /lib/libpthread-2.10.1.so
b7a60000-b7a61000 r--p 00015000 03:05 77119      /lib/libpthread-2.10.1.so
b7a61000-b7a62000 rw-p 00016000 03:05 77119      /lib/libpthread-2.10.1.so
b7a62000-b7a64000 rw-p b7a62000 00:00 0 
b7a64000-b7a8e000 r-xp 00000000 03:08 62879      /usr/lib/libapr-1.so.0.3.3
b7a8e000-b7a8f000 rw-p 0002a000 03:08 62879      /usr/lib/libapr-1.so.0.3.3
b7a8f000-b7a90000 rw-p b7a8f000 00:00 0 
b7a90000-b7ab5000 r-xp 00000000 03:05 77384      /lib/libexpat.so.1.5.2
b7ab5000-b7ab7000 rw-p 00024000 03:05 77384      /lib/libexpat.so.1.5.2
b7ab7000-b7c22000 r-xp 00000000 03:05 76937      /lib/libdb-4.7.so
b7c22000-b7c25000 rw-p 0016b000 03:05 76937      /lib/libdb-4.7.so
b7c25000-b7c2d000 r-xp 00000000 03:05 77010      /lib/libcrypt-2.10.1.so
b7c2d000-b7c2e000 r--p 00007000 03:05 77010      /lib/libcrypt-2.10.1.so
b7c2e000-b7c2f000 rwAborted

# cat /proc/cpuinfo 
processor	: 0
vendor_id	: CentaurHauls
cpu family	: 6
model		: 9
model name	: VIA Nehemiah
stepping	: 10
cpu MHz		: 800.046
cache size	: 64 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr cx8 apic sep mtrr pge cmov pat mmx fxsr sse rng rng_en ace ace_en
bogomips	: 1600.09
clflush size	: 32
power management:

the EN12000 has:

# cat /proc/cpuinfo 
processor	: 0
vendor_id	: CentaurHauls
cpu family	: 6
model		: 10
model name	: VIA Esther processor 1200MHz
stepping	: 9
cpu MHz		: 1196.927
cache size	: 128 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge cmov pat clflush acpi mmx fxsr sse sse2 tm nx pni est tm2 rng rng_en ace ace_en ace2 ace2_en phe phe_en pmm pmm_en
bogomips	: 2393.85
clflush size	: 64
power management:
Comment 3 udo 2009-06-16 09:58:12 EDT
# gdb svn
GNU gdb (GDB) Fedora (6.8.50.20090302-26.fc11)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i586-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
(gdb) run co http://svn.mythtv.org/svn/branches/release-0-21-fixes/ /usr/src/mythtv-svn/
Starting program: /usr/bin/svn co http://svn.mythtv.org/svn/branches/release-0-21-fixes/ /usr/src/mythtv-svn/
[Thread debugging using libthread_db enabled]
*** stack smashing detected ***: /usr/bin/svn terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x40)[0xb7a87d30]
/lib/libc.so.6(__fortify_fail+0x0)[0xb7a87cf0]
/lib/libgcrypt.so.11[0xb77562d4]
/lib/libgcrypt.so.11[0xb774da84]
======= Memory map: ========
08048000-08070000 r-xp 00000000 03:08 146267     /usr/bin/svn
08070000-08071000 rw-p 00028000 03:08 146267     /usr/bin/svn
08071000-080d5000 rw-p 08071000 00:00 0          [heap]
b74a4000-b74ce000 r-xp 00000000 03:05 76972      /lib/libgcc_s-4.4.0-20090506.so.1
b74ce000-b74cf000 rw-p 00029000 03:05 76972      /lib/libgcc_s-4.4.0-20090506.so.1
b74cf000-b76cf000 r--p 00000000 03:08 66818      /usr/lib/locale/locale-archive
b76cf000-b76d1000 rw-p b76cf000 00:00 0 
b76d1000-b76ed000 r-xp 00000000 03:05 77163      /lib/libselinux.so.1
b76ed000-b76ee000 r--p 0001b000 03:05 77163      /lib/libselinux.so.1
b76ee000-b76ef000 rw-p 0001c000 03:05 77163      /lib/libselinux.so.1
b76ef000-b76f0000 rw-p b76ef000 00:00 0 
b76f0000-b76f2000 r-xp 00000000 03:05 77125      /lib/libkeyutils-1.2.so
b76f2000-b76f3000 rw-p 00001000 03:05 77125      /lib/libkeyutils-1.2.so
b76f3000-b76fc000 r-xp 00000000 03:08 63057      /usr/lib/libkrb5support.so.0.1
b76fc000-b76fd000 rw-p 00008000 03:08 63057      /usr/lib/libkrb5support.so.0.1
b76fd000-b7700000 r-xp 00000000 03:05 76986      /lib/libgpg-error.so.0.4.0
b7700000-b7701000 rw-p 00002000 03:05 76986      /lib/libgpg-error.so.0.4.0
b7701000-b7776000 r-xp 00000000 03:05 77157      /lib/libgcrypt.so.11.5.2
b7776000-b7779000 rw-p 00074000 03:05 77157      /lib/libgcrypt.so.11.5.2
b7779000-b7789000 r-xp 00000000 03:08 63184      /usr/lib/libtasn1.so.3.1.2
b7789000-b778a000 rw-p 00010000 03:08 63184      /usr/lib/libtasn1.so.3.1.2
b778a000-b778c000 r-xp 00000000 03:05 76938      /lib/libcom_err.so.2.1
b778c000-b778d000 rw-p 00001000 03:05 76938      /lib/libcom_err.so.2.1
b778d000-b778e000 rw-p b778d000 00:00 0 
b778e000-b77b1000 r-xp 00000000 03:08 62926      /usr/lib/libk5crypto.so.3.1
b77b1000-b77b2000 rw-p 00023000 03:08 62926      /usr/lib/libk5crypto.so.3.1
b77b2000-b784c000 r-xp 00000000 03:08 63054      /usr/lib/libkrb5.so.3.3
b784c000-b784e000 rw-p 0009a000 03:08 63054      /usr/lib/libkrb5.so.3.3
b784e000-b7878000 r-xp 00000000 03:08 62643      /usr/lib/libgssapi_krb5.so.2.2
b7878000-b7879000 rw-p 0002a000 03:08 62643      /usr/lib/libgssapi_krb5.so.2.2
b7879000-b787f000 r-xp 00000000 03:08 66276      /usr/lib/libpakchois.so.0.1.0
b787f000-b7880000 rw-p 00005000 03:08 66276      /usr/lib/libpakchois.so.0.1.0
b7880000-b7920000 r-xp 00000000 03:08 64546      /usr/lib/libgnutls.so.26.11.7
b7920000-b7926000 rw-p 0009f000 03:08 64546      /usr/lib/libgnutls.so.26.11.7
b7926000-b7927000 rw-p b7926000 00:00 0 
b7927000-b796a000 r-xp 00000000 03:05 77409      /lib/libfreebl3.so
b796a000-b796b000 rw-p 00042000 03:05 77409      /lib/libfreebl3.so
b796b000-b796f000 rw-p b796b000 00:00 0 
b796f000-b7972000 r-xp 00000000 03:05 77046      /lib/libuuid.so.1.2
b7972000-b7973000 rw-p 00003000 03:05 77046      /lib/libuuid.so.1.2
b7973000-b7987000 r-xp 00000000 03:05 77121      /lib/libresolv-2.10.1.so
b7987000-b7988000 ---p 00014000 03:05 77121      /lib/libresolv-2.10.1.so
b7988000-b7989000 r--p 00014000 03:05 77121      /lib/libresolv-2.10.1.so
b7989000-b798a000 rw-p 00015000 03:05 77121      /lib/libresolv-2.10.1.so
b798a000-b798d000 rw-p b798a000 00:00 0 
b798d000-b7afc000 r-xp 00000000 03:05 76957      /lib/libc-2.10.1.so
b7afc000-b7afd000 ---p 0016f000 03:05 76957      /lib/libc-2.10.1.so
b7afd000-b7aff000 r--p 0016f000 03:05 76957      /lib/libc-2.10.1.so
b7aff000-b7b00000 rw-p 00171000 03:05 76957      /lib/libc-2.10.1.so
b7b00000-b7b03000 rw-p b7b00000 00:00 0 
b7b03000-b7b27000 r-xp 00000000 03:08 64837      /usr/lib/libneon.so.27.1.4
b7b27000-b7b28000 rw-p 00024000 03:08 64837      /usr/lib/libneon.so.27.1.4
b7b28000-b7b2b000 r-xp 00000000 03:05 77022      /lib/libdl-2.10.1.so
b7b2b000-b7b2c000 r--p 00002000 03:05 77022      /lib/libdl-2.10.1.so
b7b2c000-b7b2d000 rw-p 00003000 03:05 77022      /lib/libdl-2.10.1.so
b7b2d000-b7b43000 r-xp 00000000 03:05 77119      /lib/libpthread-2.10.1.so
b7b43000-b7b44000 r--p 00015000 03:05 77119      /lib/libpthread-2.10.1.so
b7b44000-b7b45000 rw-p 00016000 03:05 77119      /lib/libpthread-2.10.1.so
b7b45000-b7b47000 rw-p b7b45000 00:00 0 
b7b47000-b7b71000 r-xp 00000000 03:08 62879      /usr/lib/libapr-1.so.0.3.3
b7b71000-b7b72000 rw-p 0002a000 03:08 62879      /usr/lib/libapr-1.so.0.3.3
b7b72000-b7b73000 rw-p b7b72000 00:00 0 
b7b73000-b7b98000 r-xp 00000000 03:05 77384      /lib/libexpat.so.1.5.2
b7b98000-b7b9a000 rw-p 00024000 03:05 77384      /lib/libexpat.so.1.5.2
b7b9a000-b7d05000 r-xp 00000000 03:05 76937      /lib/libdb-4.7.so
b7d05000-b7d08000 rw-p 0016b000 03:05 76937      /lib/libdb-4.7.so
b7d08000-b7d10000 r-xp 00000000 03:05 77010      /lib/libcrypt-2.10.1.so
b7d10000-b7d11000 r--p 00007000 03:05 77010      /lib/libcrypt-2.10.1.so
b7d11000-b7d12000 rw-p 00008000 03:05 77010      /lib/libcrypt-2.10.1.so
b7d12000-b7d39000 rw-p b7d12000 00:00 0 
b7d39000-b7d5a000 r-xp 00000000 03:08 62884      /usr/lib/libaprutil-1.so.0.3.4
b7d5a000-b7d5b000 rw-p 00020000 03:08 62884      /usr/lib/libaprutil-1.so.0.3.4
b7d5b000-b7de3000 r-xp 00000000 03:08 63079      /usr/lib/libsqlite3.so.0.8.6
b7de3000-b7de5000 rw-p 00087000 03:08 63079      /usr/lib/libsqlite3.so.0.8.6
b7de5000-b7df7000 r-xp 00000000 03:05 76982      /lib/libz.so.1.2.3
b7df7000-b7df8000 rw-p 00011000 03:05 76982      /lib/libz.so.1.2.3
b7df8000-b7df9000 rw-p b7df8000 00:00 0 
b7df9000-b7e45000 r-xp 00000000 03:08 63694      /usr/lib/libsvn_subr-1.so.0.0.0
b7e45000-b7e47000 rw-p 0004c000 03:08 63694      /usr/lib/libsvn_subr-1.so.0.0.0
b7e47000-b7e51000 r-xp 00000000 03:08 63662      /usr/lib/libsvn_delta-1.so.0.0.0
b7e51000-b7e52000 rw-p 00009000 03:08 63662      /usr/lib/libsvn_delta-1.so.0.0.0
b7e52000-b7e72000 r-xp 00000000 03:08 63685      /usr/lib/libsvn_ra_neon-1.so.0.0.0
b7e72000-b7e74000 rw-p 0001f000 03:08 63685      /usr/lib/libsvn_ra_neon-1.so.0.0.0
b7e74000-b7e8c000 r-xp 00000000 03:08 62664      /usr/lib/libsasl2.so.2.0.22
b7e8c000-b7e8d000 rw-p 00017000 03:08 62664      /usr/lib/libsasl2.so.2.0.22
b7e8d000-b7ea2000 r-xp 00000000 03:08 63688      /usr/lib/libsvn_ra_svn-1.so.0.0.0
b7ea2000-b7ea3000 rw-p 00015000 03:08 63688      /usr/lib/libsvn_ra_svn-1.so.0.0.0
b7ea3000-b7ea4000 rw-p b7ea3000 00:00 0 
b7ea4000-b7ea5000 r-xp 00000000 03:08 63676      /usr/lib/libsvn_fs_util-1.so.0.0.0
b7ea5000-b7ea6000 rw-p 00000000 03:08 63676      /usr/lib/libsvn_fs_util-1.so
Program received signal SIGABRT, Aborted.
0xb79b8a17 in *__GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Current language:  auto; currently minimal
Missing separate debuginfos, use: debuginfo-install e2fsprogs-libs-1.41.4-10.fc11.i586 gnutls-2.6.6-1.fc11.i586 keyutils-libs-1.2-5.fc11.i586 krb5-libs-1.6.3-20.fc11.i586 libgcc-4.4.0-4.i586 libgcrypt-1.4.4-4.fc11.i586 libgpg-error-1.6-3.i586 libselinux-2.0.80-1.fc11.i586 libtasn1-1.8-2.fc11.i586 nss-softokn-freebl-3.12.3-4.fc11.i586 pakchois-0.4-2.i586
(gdb) bt
#0  0xb79b8a17 in *__GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0xb79ba372 in *__GI_abort () at abort.c:88
#2  0xb79f7b35 in __libc_message (do_abort=2, fmt=0xb7acd827 "*** %s ***: %s terminated\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:170
#3  0xb7a87d30 in *__GI___fortify_fail (msg=0xb7acd80f "stack smashing detected") at fortify_fail.c:32
#4  0xb7a87cf0 in __stack_chk_fail () at stack_chk_fail.c:29
#5  0xb77562d4 in ?? () from /lib/libgcrypt.so.11
#6  0xb774da84 in ?? () from /lib/libgcrypt.so.11
#7  0x00000000 in ?? ()
(gdb)
Comment 4 udo 2009-06-16 10:02:24 EDT
(gdb) bt
#0  0xb79b8a17 in *__GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0xb79ba372 in *__GI_abort () at abort.c:88
#2  0xb79f7b35 in __libc_message (do_abort=2, fmt=0xb7acd827 "*** %s ***: %s terminated\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:170
#3  0xb7a87d30 in *__GI___fortify_fail (msg=0xb7acd80f "stack smashing detected") at fortify_fail.c:32
#4  0xb7a87cf0 in __stack_chk_fail () at stack_chk_fail.c:29
#5  0xb77562d4 in __stack_chk_fail_local () from /lib/libgcrypt.so.11
#6  0xb774da84 in poll_padlock (add=<value optimized out>, origin=<value optimized out>, fast=0) at rndhw.c:95
#7  0x00000000 in ?? ()
Comment 5 Joe Orton 2009-06-16 10:32:43 EDT
Thanks for that; looks like a bug in libgcrypt's VIA padlock RNG support.
Comment 6 Joe Orton 2009-06-17 12:13:09 EDT
I'm not sure the inline asm is correct - I've asked for some help.

Could someone try this build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1421114
Comment 7 udo 2009-06-17 12:24:24 EDT
For me the problem appears to be gone, at least stuff starts and runs like it used to.
Comment 8 Simo Sorce 2009-06-17 14:21:48 EDT
*** Bug 505511 has been marked as a duplicate of this bug. ***
Comment 9 Tomas Mraz 2009-06-17 14:29:28 EDT
Fixed in rawhide libgcrypt-1.4.4-5.fc12 with a slightly different patch. F11 update coming.
Comment 10 Fedora Update System 2009-06-17 14:47:33 EDT
libgcrypt-1.4.4-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libgcrypt-1.4.4-5.fc11
Comment 11 Fedora Update System 2009-06-18 17:56:02 EDT
libgcrypt-1.4.4-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libgcrypt-1.4.4-6.fc11
Comment 12 Chuck Ebbert 2009-06-19 17:18:51 EDT
*** Bug 501189 has been marked as a duplicate of this bug. ***
Comment 13 udo 2009-06-20 09:03:59 EDT
Works for me.
Comment 14 Fedora Update System 2009-06-24 15:28:47 EDT
libgcrypt-1.4.4-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libgcrypt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6817
Comment 15 Fedora Update System 2009-07-16 03:14:15 EDT
libgcrypt-1.4.4-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.